summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0eb6f85
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libpinyin"
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/README ) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+(test -f $srcdir/ChangeLog) || {
+ touch $srcdir/ChangeLog
+}
+
+CFLAGS=${CFLAGS-"-Wall -Werror"}
+
+ACLOCAL_FLAGS="$ACLOCAL_FLAGS"
+REQUIRED_AUTOMAKE_VERSION=1.8
+
+. gnome-autogen.sh "$@"